2 qq 16173397 qq_16173397 于 2017.08.30 14:18 提问

vs2013创建的framework4.0项目在nuget.org里添加autofac报错

添加时 版本号显示的是4.6.1,引用报错。
首先,开始我的项目是framework4.5的,但后来知道对方系统是win2003的不支持4.5
,只好降版本,网查了资料后,发现要重新建立4.0的项目 ,把原来的dll文件版本也要是4.0的才行,就重新添加引用了,但遇到autofac版本之前是4.5的,于是删除,重新在nuget.org里引用,默认版本是4.6.1的,导致引用时失败回滚,怎么解决?

1个回答

caozhy
caozhy   Ds   Rxr 2017.08.30 23:50

看你的类库,不是所有的库都支持.net 4.5,如果有源代码,可以重新编译,否则遇到不支持的就没什么办法了。

Csdn user default icon
上传中...
上传图片
插入图片